Sberbank - Annual Report 2010 - Home

- Home
- |
- Help
- |
- Sitemap
- |
- Contact
- ENG
- |
- РУС

- Bank
  Profile
- Annual
  Report
- Financial
  Report
- Social
  Responsibility Report
- Contacts
  and Payment Details

We are committed to instill confidence, we make people's lives better, helping them to fulfill their dreams and aspirations. We are determined to build one of the best financial companies in the world, and our success will be based on professionalism, harmony and satisfaction of our employees.
Sberbank's mission
Video Presentation Key Figures Quick Analyzer
Please upgrade your Flash Player
© 2011 SBERBANK All rights reserved